Summary: pLaTeX2e new Japanese Standard (?) document class
Name: tetex-jsclasses
Version: 040429
Release: 1.1AX
Source0: http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/jsclasses-%{version}.zip
Source1: http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/index.html
URL: http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/
Copyright: distributable 
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildArch: noarch
BuildRequires: unzip, tetex-latex
PreReq: /usr/bin/env
Requires: tetex, tetex-latex, tetex-jisfont

%description
pLaTeX2e new Japanese Standard (?) document class

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name} -c
cp -p %{SOURCE1} ./README.html

%build
platex jsclasses.dtx
platex jsclasses.dtx
platex okumacro.dtx
platex okuverb.dtx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/ptex/platex/js
cp -fp *.dtx *.ins *.cl[so] *.sty $RPM_BUILD_ROOT%{_datadir}/texmf/ptex/platex/js

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/texmf/ptex/platex/js
%doc README.html *.dvi

%changelog
* Tue Jun  1 2004 Shiro Yamada <shiro@miraclelinux.com> 040429-1.1AX
- first build for Asianux 1.0

* Fri Apr 30 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040429-1
- updated to 040429
- URL was changed.
                                                                                
* Thu Feb 26 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040225-1
- updated to 040225
                                                                                
* Sat Feb 14 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040214-1
- updated to 040214

* Thu Feb 12 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040212-1
- updated to 040212
                                                                                
* Thu Jan 29 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040128-1
- updated to 040128
                                                                                
* Mon Jan 26 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040126-1
- updated to 040126

* Sun Jan 18 2004 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 040117-1
- updated to 040117

* Tue Nov 25 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 031124-1
- updated to 031124

* Tue Oct 14 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 031012-1
- updated to 031012

* Wed Oct  1 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 030928-1
- updated to 030928
                                                                               
* Wed Sep 17 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 030917-1
- updated to 030917

* Mon Aug 25 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 030822-1
- updated to 030822
                                                                               
* Fri Jul  4 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 030630-1
- updated to 030630

* Thu Jun 26 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 030624-1
- updated to 030624 (version numbering of original is changed
  from this version)

* Mon May 26 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 20030517-1
- updated to 2003-05-17

* Tue May 13 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp> 20030429-1
- updated to 2003-04-29

* Mon Apr 14 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp>
- based on http://tutimura.ath.cx/~nob/tex/rh7j/jsclasses-20010703-1.src.rpm
- renamed to tetex-jsclasses
- updated to 20030316

* Thu Jul  5 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- update 2001-07-03

* Tue May 22 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- update 2001-05-19

* Thu Apr 26 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- update 2001-04-26

* Sat Mar  3 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- update 2001-02-26

* Sun Nov  5 2000 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- use %{texmf}

* Fri Nov  3 2000 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1st release
